Subject: [bug#45601] [PATCH 0/6] vlang 0.2 update

From: Ryan Prior <[email-masked]>
Date: Fri, 01 Jan 2021 19:23:23 +0000

Hi Guix! The vlang compiler had its 0.2 release recently and I've been working on improving the quality of our package as well. This patch series has 4 exciting improvements:

1. The compiler is updated to 0.2, which already includes a number of changes to the build system to make things work better for Guix users.
2. Three vendored dependencies are factored out into their own Guix packages: tiny-bignu, cJSON, and wyhash.
3. A number of tests that were failing have been patched to succeed. The number of tests we skip is down to three.
4. The v tools now work out of the box, with some exceptions such as the REPL that rely on `cc`.

I am continuing the work to move the last of the vendored dependencies into their own packages, get all the tests passing, and get us to a working v repl. But this series already gets us a lot closer to where I want to be.

This patch series also relates to issues 43821 and 44978.

Cheers,
Ryan

Ryan Prior (6):
  gnu: Add wyhash.
  gnu: vlang: Update to 0.2.
  gnu: vlang: Use system tiny-bignum.
  gnu: vlang: Use system cJSON.
  gnu: vlang: Use system wyhash.
  gnu: vlang: Fix v tools.

 gnu/local.mk                                  |   1 +
 gnu/packages/datastructures.scm               |  34 ++++-
 .../vlang-accommodate-timestamps.patch        |  50 ++++++++
 gnu/packages/vlang.scm                        | 119 ++++++++++++++----
 4 files changed, 178 insertions(+), 26 deletions(-)
 create mode 100644 gnu/packages/patches/vlang-accommodate-timestamps.patch

-- 
2.29.2